%define srcname ktp-send-file
%define rel 2

Summary:        File Manager plugin to launch a file transfer job with a specified contact
Name:           telepathy-kde-send-file
Version: 16.12.3
Release:        %mkrel %{rel} 
License:        GPLv2+
Group:          Networking/Instant messaging
Url:            https://projects.kde.org/projects/playground/network/telepathy/telepathy-send-file
Source0:        http://download.kde.org/stable/kde-telepathy/%{version}/src/%{srcname}-%{version}.tar.xz

BuildRequires:  telepathy-kde-common-internals-devel >= %{version}
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Widgets)

BuildRequires:  telepathy-logger-qt5-devel

BuildRequires:  kf5-macros
BuildRequires:  kcmutils-devel
BuildRequires:  kio-devel
BuildRequires:  kiconthemes-devel
BuildRequires:  ki18n-devel

Requires:       telepathy-kde-common-internals-core = %{version}


%description
A File manager plugin to launch a file transfer job with a specified contact.

%files 
%{_kf5_bindir}/ktp-send-file
%{_kf5_services}/ServiceMenus/ktp-send-file.desktop

#--------------------------------------------------------------------

%prep
%setup -q -n %{srcname}-%{version}
%autopatch -p1

%build
%cmake_kf5
%make_build

%install
%make_install -C build


%changelog
* Sun Mar 12 2017 neoclust <neoclust> 16.12.3-2.mga6
+ Revision: 1092086
- Rebuild for armv7

* Wed Mar 08 2017 neoclust <neoclust> 16.12.3-1.mga6
+ Revision: 1090194
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1

* Sat Dec 24 2016 neoclust <neoclust> 16.12.0-1.mga6
+ Revision: 1076936
- New version 16.12.0

* Sun Dec 04 2016 neoclust <neoclust> 16.11.90-1.mga6
+ Revision: 1072126
- New version 16.11.90

* Tue Nov 15 2016 neoclust <neoclust> 16.08.3-1.mga6
+ Revision: 1067443
- New version 16.08.3

* Mon Oct 17 2016 neoclust <neoclust> 16.08.2-1.mga6
+ Revision: 1061507
- New version 16.08.2

* Thu Sep 08 2016 neoclust <neoclust> 16.08.1-1.mga6
+ Revision: 1050770
- New version 16.08.1

* Tue Aug 30 2016 neoclust <neoclust> 16.08.0-1.mga6
+ Revision: 1049463
- New version 16.08.0

* Sat Jul 09 2016 neoclust <neoclust> 16.04.3-1.mga6
+ Revision: 1040173
- New version 16.04.3
- New version 16.04.2
- New version 16.04.2

* Thu May 12 2016 neoclust <neoclust> 16.04.1-1.mga6
+ Revision: 1014306
- New version 16.04.1

* Wed Apr 27 2016 neoclust <neoclust> 16.04.0-1.mga6
+ Revision: 1006728
- New version 16.04.0

* Sun Apr 03 2016 neoclust <neoclust> 16.03.80-1.mga6
+ Revision: 998055
- New version 16.03.80

* Sun Mar 20 2016 neoclust <neoclust> 15.12.3-1.mga6
+ Revision: 993242
- New version 15.12.3

* Tue Mar 08 2016 neoclust <neoclust> 15.12.2-1.mga6
+ Revision: 987697
- New version 15.12.2

* Wed Jan 13 2016 neoclust <neoclust> 15.12.1-1.mga6
+ Revision: 922728
- New version 15.12.1
- New version 15.12.0

* Mon Nov 23 2015 neoclust <neoclust> 15.11.80-1.mga6
+ Revision: 905453
- New version 15.11.80

* Tue Nov 10 2015 neoclust <neoclust> 15.08.3-1.mga6
+ Revision: 901189
- New version 15.08.3

* Wed Oct 14 2015 neoclust <neoclust> 15.08.2-1.mga6
+ Revision: 890682
- New version 15.08.2

* Fri Sep 18 2015 neoclust <neoclust> 15.08.1-1.mga6
+ Revision: 880482
- New version 15.08.1

* Wed Aug 19 2015 neoclust <neoclust> 15.08.0-1.mga6
+ Revision: 866000
- New version 15.08.0

* Wed Aug 12 2015 neoclust <neoclust> 15.07.90-2.mga6
+ Revision: 863642
- Plasma Mass Rebuild - Rebuild for new kf5-macros

* Sun Aug 09 2015 neoclust <neoclust> 15.07.90-1.mga6
+ Revision: 862239
- New version 15.07.90

* Fri Jul 31 2015 neoclust <neoclust> 15.07.80-1.mga6
+ Revision: 859955
- New version 15.07.80

* Sat Jul 18 2015 neoclust <neoclust> 15.04.3-1.mga6
+ Revision: 855005
- New version 15.04.3

* Fri Feb 06 2015 lmenut <lmenut> 0.9.0-1.mga5
+ Revision: 813753
- Update to 0.9.0

* Wed Oct 15 2014 umeabot <umeabot> 0.8.1-3.mga5
+ Revision: 743497
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.8.1-2.mga5
+ Revision: 689808
- Mageia 5 Mass Rebuild

* Mon Aug 25 2014 lmenut <lmenut> 0.8.1-1.mga5
+ Revision: 667409
- Update to 0.8.1

* Sun Mar 16 2014 fwang <fwang> 0.8.0-1.mga5
+ Revision: 604119
- 0.8.0

* Sun Feb 23 2014 fwang <fwang> 0.7.80-1.mga5
+ Revision: 595850
- 0.7.80

* Mon Feb 17 2014 fwang <fwang> 0.7.1-1.mga5
+ Revision: 593144
- 0.7.1

* Mon Nov 04 2013 lmenut <lmenut> 0.7.0-1.mga4
+ Revision: 549314
- Update to 0.7.0

* Mon Oct 21 2013 umeabot <umeabot> 0.7-0.beta1.2.mga4
+ Revision: 540881
- Mageia 4 Mass Rebuild

* Tue Oct 08 2013 mikala <mikala> 0.7-0.beta1.1.mga4
+ Revision: 493003
- Update tarball to 0.6.80

* Wed Aug 14 2013 fwang <fwang> 0.6.3-1.mga4
+ Revision: 466311
- new version 0.6.3

* Tue May 28 2013 mikala <mikala> 0.6.2-1.mga4
+ Revision: 429049
- Update tarball to 0.6.2

* Wed Apr 03 2013 mikala <mikala> 0.6.0-1.mga3
+ Revision: 407388
- Update tarball to 0.6.0

* Wed Mar 13 2013 neoclust <neoclust> 0.5.80-1.mga3
+ Revision: 402410
- New version

* Wed Feb 20 2013 mikala <mikala> 0.5.3-1.mga3
+ Revision: 399548
- Update tarball to 0.5.3

* Mon Jan 14 2013 umeabot <umeabot> 0.5.2-2.mga3
+ Revision: 384299
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 18 2012 mikala <mikala> 0.5.2-1.mga3
+ Revision: 332474
- Update tarball to 0.5.2

* Tue Oct 16 2012 mikala <mikala> 0.5.1-1.mga3
+ Revision: 306888
- Update tarball to 0.5.1

* Wed Aug 29 2012 mikala <mikala> 0.5.0-1.mga3
+ Revision: 285449
- Update tarball to 0.5.0
- Drop patch merged

* Tue Jul 17 2012 neoclust <neoclust> 0.4.0-1.mga3
+ Revision: 271803
- New version 0.4.0

* Mon Apr 09 2012 tmb <tmb> 0.3.0-1.mga2
+ Revision: 229995
- fix desktop file

  + mikala <mikala>
    - Add requires for common translations
    - Update tarball to 0.3.0
    - Add patch0 to fix build of po files
    - Remove tabs
    - Fix group

* Mon Nov 28 2011 mikala <mikala> 0.2.0-1.mga2
+ Revision: 173573
- Update tarball to 0.2.0
- fix files list
- Add patch0 to fix desktop file validation by BS
- imported package telepathy-kde-send-file

